Subject: RE: Returning modified code to the Cygwin Community
From: "Suhaib M. Siddiqi" <[email-masked]>
To: "Robert O. Morris" <[email-masked]>, <[email-masked]>
Cc: "Distributed Oceanographic Data Server" <[email-masked]>
Date: Wed, 28 Jul 1999 20:58:08 -0400

> I recently ported a rather large project to Cygwin and I
> had to modify a couple of Cygwin-related projects to get
> things to work for me.
>
> I thought that if I sent email to the group, this would
> start the process of getting some of this back into Cygwin -
> and make our lives easier here (JPL and the DODS Group) and
> elsewhere in the long run by having this (possibly) incorporated
> back into the original distributions for this stuff.

But these packages are not part of stock Cygwin B20.1. Therefore
I am not sure what do you mean by incorporation into original
distribution?

>     binaries: http://dods.jpl.nasa.gov/WinPort/binaries/rpclib.bin.tar.gz
>     source  : http://dods.jpl.nasa.gov/WinPort/binaries/rpc-4.0.src.tar.gz
>
>     Description:  Rather extensive modification (mostly) to allow them to
>                   to compile and link from either C or C++.  Things needed
>                   reorganized quite a bit.  I'm not sure how much of this
>                   got exercised in our port project - but whatever did,
> works.

Have checked into ARPC (the extended RPC from ARPA project).  It works
better with C and C++ compilers, including MSVC.

>
> 2)  Hdf4.1r2 for Cygwin 20.1B
>
>     binaries: http://dods.jpl.nasa.gov/WinPort/binaries/hdf.bin.tar.gz
>     Source  : http://dods.jpl.nasa.gov/WinPort/binaries/hdf.src.tar.gz
>
>     I simply got the source code and applied a patch from a guy at Goddard
>     that (at some point) had made it for B19.  I can't remember making any
>     other mods to this except general clean-up. It was originally from
>     ftp://niteroi.gsfc.nasa.gov/pub/win32/ncsa/.

I already have HDF 4.1r3 for Cygwin B20.1, which I ported for OpenDX project
and it available for download.  I will check you archive if I missed out
something.

>
> 3)  IPC Library and tools for Cygwin 20.1B.
>
>     http://dods.jpl.nasa.gov/WinPort/binaries/cygwinB20IPC.tar.gz.  This
>     originally came from http://www.multione.capgemini.fr/tools/pack_ipc/
>     and (if memory serves) mods were just general clean-up.

Thanks.  I will check it.  I had several problems with the IPC package
from  http://www.multione.capgemini.fr/tools/pack_ipc/.  It most of the time
gave
incomplete shm_perm implimentation errors, whenever I used it.

>
> I'd like to see some of this moved out of dods.jpl.nasa.gov and put under
> control elsewhere if possible.
>
> Someone in the know . . . . please advise.
>
> Rob Morris
> Jet Propulsion Laboratory
>
>
>
>
>
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]